#include <cube.h>
#include <Redacted3D/engine/engine.h>

void Cube::pre_render()  {
    getGeometry();
    setAngle(getAngle().Add(24 * engine->frameDelta));
}

Cube::Cube() {
    name = "cube";
    setScale(0.5f);

    loadGeometry("assets/models/cube.obj");
    std::vector<std::string> motionTextures = {
            "assets/textures/motion/default.png", "assets/textures/motion/1.png", "assets/textures/motion/2.png",
            "assets/textures/motion/3.png", "assets/textures/motion/4.png", "assets/textures/motion/5.png",
            "assets/textures/motion/6.png"
    };

    std::vector<std::string> multiTextures = {
            "assets/textures/multi/default.png", "assets/textures/multi/1.png", "assets/textures/multi/2.png", "assets/textures/multi/3.png",
            "assets/textures/multi/4.png", "assets/textures/multi/5.png", "assets/textures/multi/6.png"
    };

    loadMultiTexture(multiTextures);
    //loadMotionTexture(motionTextures, 250, true);
}
